Create User Profile
curl --request POST \
--url https://public.plai.io/auth/create_profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "<string>",
"name": "<string>"
}
'import requests
url = "https://public.plai.io/auth/create_profile"
payload = {
"email": "<string>",
"name": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', name: '<string>'})
};
fetch('https://public.plai.io/auth/create_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"id": "<string>",
"error": "<string>"
}
}Authentication
Create User Profile
This endpoint allows the creation of a new user profile on our platform. By providing the necessary user information, you can onboard new users into the system, enabling them to access and utilize platform features and services.
POST
/
auth
/
create_profile
Create User Profile
Request Body
string
required
Customers Email Address
string
required
Customers Full Name
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).